openSUSE Security Update : kdelibs4 (openSUSE-SU-2011:1135-1)

medium Nessus Plugin ID 75878
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

An input validation flaw when displaying certificates has been fixed in KDE's KSSL (kdelibs4). CVE-2011-3365 has been assigned to this issue.

Solution

Update the affected kdelibs4 packages.

See Also

https://bugzilla.novell.com/show_bug.cgi?id=721974

https://lists.opensuse.org/opensuse-updates/2011-10/msg00013.html

Plugin Details

Severity: Medium

ID: 75878

File Name: suse_11_4_kdelibs4-111010.nasl

Version: 1.6

Type: local

Agent: unix

Published: 6/13/2014

Updated: 1/14/2021

Dependencies: ssh_get_info.nasl

Risk Information

VPR

Risk Factor: Low

Score: 3.4

CVSS v2

Risk Factor: Medium

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:kdelibs4, p-cpe:/a:novell:opensuse:kdelibs4-branding-upstream, p-cpe:/a:novell:opensuse:kdelibs4-core, p-cpe:/a:novell:opensuse:kdelibs4-core-debuginfo, p-cpe:/a:novell:opensuse:kdelibs4-debuginfo, p-cpe:/a:novell:opensuse:kdelibs4-debugsource, p-cpe:/a:novell:opensuse:kdelibs4-doc-debuginfo, p-cpe:/a:novell:opensuse:libkde4, p-cpe:/a:novell:opensuse:libkde4-32bit, p-cpe:/a:novell:opensuse:libkde4-debuginfo, p-cpe:/a:novell:opensuse:libkde4-debuginfo-32bit, p-cpe:/a:novell:opensuse:libkde4-devel, p-cpe:/a:novell:opensuse:libkdecore4, p-cpe:/a:novell:opensuse:libkdecore4-32bit, p-cpe:/a:novell:opensuse:libkdecore4-debuginfo, p-cpe:/a:novell:opensuse:libkdecore4-debuginfo-32bit, p-cpe:/a:novell:opensuse:libkdecore4-devel, p-cpe:/a:novell:opensuse:libkdecore4-devel-debuginfo, p-cpe:/a:novell:opensuse:libksuseinstall-devel, p-cpe:/a:novell:opensuse:libksuseinstall1, p-cpe:/a:novell:opensuse:libksuseinstall1-32bit, p-cpe:/a:novell:opensuse:libksuseinstall1-debuginfo, p-cpe:/a:novell:opensuse:libksuseinstall1-debuginfo-32bit, cpe:/o:novell:opensuse:11.4

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 10/10/2011

Reference Information

CVE: CVE-2011-3365